GET
/api/v1/webhooksWebhooks
List webhook subscriptions
List every webhook subscription for your participant.
Sandbox API
https://sandbox-api.nuvante.ioReturns all your webhook subscriptions. List responses leave out signingSecret. Needs webhooks:manage.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| Authorization | string · header | Yes | Bearer sandbox API key with `webhooks:manage`. |
Responses
200Subscription list, without `signingSecret`.
Request
curl --request GET \
--url 'https://sandbox-api.nuvante.io/api/v1/webhooks' \
--header 'Authorization: Bearer nvt_sandbox_your_key' \
--header 'Accept: application/json'Response
{
"data": [
{
"id": "wh_523e4567-e89b-42d3-a456-426614174052",
"url": "https://hooks.partner-bank.test/nuvante",
"events": [
"transaction.settled",
"transaction.parked"
],
"status": "active",
"createdAt": "2026-09-01T10:00:00.000Z"
}
],
"meta": {
"commandId": "123e4567-e89b-42d3-a456-426614174053"
}
}